<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>credits</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="copyright.html">copyright</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="currency.html">currency</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">credits</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>Book the specified amounts to the account at the specified date. The desciptions are just used for documentary purposes.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>credits &lt;date&gt; &lt;description&gt; &lt;amount&gt; [, &lt;date&gt; &lt;description&gt; &lt;amount&gt;...]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="3">Arguments</td>
      <td class="descr">date</td>
      <td class="descr"><div>See <a href="date.html">date</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">description [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>Short description of the transaction</div></td>
     </tr>
     <tr align="left">
      <td class="descr">amount</td>
      <td class="descr"><div>Amount to be booked.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="account.html">account</a></td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">account project_cost "Project Costs"
account payments "Customer Payments"{
  credits 2007-01-01 "Customer down payment" 500.0,
          2007-01-14 "1st rate" 2000.0
}

balance project_cost payments

resource tux "Tux" {
  rate 300
}
resource konqui "Konqui" {
  rate 200
}

task items "Room decoration" {
  start 2007-01-06
  # The default account for all tasks
  chargeset project_cost

  task plan "Plan work and buy material" {
    # Upfront material cost
    charge 500.0 onstart
    length 2d
  }
   task remove "Remove old inventory" {
    allocate tux
    allocate konqui
    effort 1d
    depends !plan
  }
  task implement "Arrange new decoration" {
    effort 5d
    allocate tux, konqui
    depends !remove
  }
  task acceptance "Presentation and customer acceptance" {
    duration 5d
    depends !implement
    chargeset payments
    # Customer pays at end of acceptance
    charge 2000.0 onend
  }
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="copyright.html">copyright</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="currency.html">currency</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
